import request from '@/utils/request'

// 查询废桶进出库统计日报列表
export function listBarrelmonth(query) {
  return request({
    url: '/ehs/barrelmonth/list',
    method: 'get',
    params: query
  })
}

// 查询废桶进出库统计日报详细
export function getBarrelmonth(id) {
  return request({
    url: '/ehs/barrelmonth/' + id,
    method: 'get'
  })
}

// 新增废桶进出库统计日报
export function addBarrelmonth(data) {
  return request({
    url: '/ehs/barrelmonth',
    method: 'post',
    data: data
  })
}

// 修改废桶进出库统计日报
export function updateBarrelmonth(data) {
  return request({
    url: '/ehs/barrelmonth',
    method: 'put',
    data: data
  })
}

// 删除废桶进出库统计日报
export function delBarrelmonth(id) {
  return request({
    url: '/ehs/barrelmonth/' + id,
    method: 'delete'
  })
}

// 导出废桶进出库统计日报
export function exportBarrelmonth(query) {
  return request({
    url: '/ehs/barrelmonth/export',
    method: 'get',
    params: query
  })
}